List Organization Quotas

List Organization Quotas
List organization quotas

This endpoint lists all organization quota resources.

Request
URI
GET
https://api.example.local/v3/organization_quotas
COPY
Query Parameters
integer
page
Optional

Page to display; valid values are integers >= 1

page example
1
integer
per_page
Optional

Number of results per page, valid values are 1 through 5000

per_page example
50
string
order_by
Optional

Value to sort by. Defaults to ascending; prepend with - to sort descending.

order_by example
created_at
string of array
guids
Optional

Comma-delimited list of organization quota guids to filter by

string of array
names
Optional

Comma-delimited list of organization quota names to filter by

string of array
organization_guids
Optional

Comma-delimited list of organization guids to filter by

string
created_ats
Optional

Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.

created_ats example
2021-01-01T00:00:00Z
string
updated_ats
Optional

Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.

updated_ats example
2021-01-01T00:00:00Z

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns OrganizationQuotaList of type(s) application/json
This response body class contains all of the following: Pagination
{
    "total_results": 0,
    "total_pages": 0,
    "first": {
        "href": "string",
        "method": "string"
    },
    "last": {
        "href": "string",
        "method": "string"
    },
    "next": {
        "href": "string",
        "method": "string"
    },
    "previous": {
        "href": "string",
        "method": "string"
    },
    "resources": [
        {
            "guid": "string",
            "created_at": "string",
            "updated_at": "string",
            "name": "string",
            "apps": {
                "per_process_memory_in_mb": 0,
                "total_memory_in_mb": 0,
                "total_instances": 0,
                "log_rate_limit_in_bytes_per_second": 0,
                "per_app_tasks": 0
            },
            "services": {
                "paid_services_allowed": false,
                "total_service_instances": 0,
                "total_service_keys": 0
            },
            "routes": {
                "total_routes": 0,
                "total_reserved_ports": 0
            },
            "domains": {
                "total_domains": 0
            },
            "relationships": {
                "organizations": {
                    "data": [
                        {
                            "guid": "string"
                        }
                    ]
                }
            },
            "metadata": {
                "labels": {
                    "labels": "string"
                },
                "annotations": {
                    "annotations": "string"
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "organizations": {
                    "href": "string",
                    "method": "string"
                }
            }
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


502

Bad Gateway

Returns BadGateway of type(s) application/json
{
    "code": 0,
    "detail": "string",
    "title": "string"
}
integer
code
Optional

A numeric code for this error

string
detail
Optional

Detailed description of the error

string
title
Optional

Name of the error


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/organization_quotas